Records a payment against an invoice and returns its ID.
Request
Body Params application/jsonRequired
{
"invoice": "INV-1001",
"paid_amount": 0,
"payment_method": null,
"reference": "Payment for INV-1001",
"external_id": "PAY-EXT-1001",
"paid_date": "2024-07-20"
}
Request Code Samples
curl --location 'https://app.fieldinsight.com/public-api//invoices/payments/' \
--header 'Content-Type: application/json' \
--data '{
"invoice": "INV-1001",
"paid_amount": 0,
"payment_method": null,
"reference": "Payment for INV-1001",
"external_id": "PAY-EXT-1001",
"paid_date": "2024-07-20"
}'
Responses
{
"id": 1801,
"number": 1,
"external_id": "PAY-1001"
}
Modified at 2026-10-30 03:40:11